Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

libconfuse: 3.2.2 -> 3.3 #91619

Open
wants to merge 1 commit into
base: master
from
Open

Conversation

@r-ryantm
Copy link
Contributor

r-ryantm commented Jun 26, 2020

Semi-automatic update generated by nixpkgs-update tools. This update was made based on information from https://github.com/martinh/libconfuse/releases.

meta.description for libconfuse is: "Small configuration file parser library for C"

meta.homepage for libconfuse is: "https://github.com/martinh/libconfuse"

meta.changelog for libconfuse is: ""

Updates performed
  • Version update
To inspect upstream changes
Impact
Checks done (click to expand)

Rebuild report (if merged into master) (click to expand)
233 total rebuild path(s)

70 package rebuild(s)

70 x86_64-linux rebuild(s)
63 i686-linux rebuild(s)
34 x86_64-darwin rebuild(s)
66 aarch64-linux rebuild(s)


First fifty rebuilds by attrpath
arachne-pnr
audacious
audaciousQt5
avrdude
avrdudess
blackmagic
bmon
cadence
collectd
collectd-data
dispad
dvdstyler
fbida
fgallery
flashrom
fwup
geeqie
genimage
gjay
glasgow
i3status
icestorm
inadyn
ino
kodi
kodi-gbm
kodi-wayland
kodiGBM
kodiPlain
kodiPlainWayland
kodiPlugins.inputstream-adaptive
kodiPlugins.joystick
kodiPlugins.kodi
kodiPlugins.kodi-platform
kodiPlugins.pvr-hdhomerun
kodiPlugins.pvr-hts
kodiPlugins.pvr-iptvsimple
kodiPlugins.steam-controller
kodiPlugins.vfs-libarchive
kodiPlugins.vfs-sftp
libconfuse
libftdi1
libite
libsigrok
libsigrok-0-3-0
libsigrokdecode
lirc
nextpnr
openocd
opentx
Instructions to test this update (click to expand)

Either download from Cachix:

nix-store -r /nix/store/rd2rdv76r47hh64cpzypi0k8b3kfp8v3-libconfuse-3.3 \
  --option binary-caches 'https://cache.nixos.org/ https://r-ryantm.cachix.org/' \
  --option trusted-public-keys '
  r-ryantm.cachix.org-1:gkUbLkouDAyvBdpBX0JOdIiD2/DP1ldF3Z3Y6Gqcc4c=
  cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY=
  '

(r-ryantm's Cachix cache is only trusted for this store-path realization.)
For the Cachix download to work, your user must be in the trusted-users list or you can use sudo since root is effectively trusted.

Or, build yourself:

nix-build -A libconfuse https://github.com/r-ryantm/nixpkgs/archive/5a006ab4ebd437f4afe69e056c52dc54ccfe12a1.tar.gz

After you've downloaded or built it, look at the files and if there are any, run the binaries:

ls -la /nix/store/rd2rdv76r47hh64cpzypi0k8b3kfp8v3-libconfuse-3.3
ls -la /nix/store/rd2rdv76r47hh64cpzypi0k8b3kfp8v3-libconfuse-3.3/bin


Security vulnerability report
Security report (click to expand)

CVEs resolved by this update:

CVEs introduced by this update:
none

CVEs present in both versions:
none


Pre-merge build results

We have automatically built all packages that will get rebuilt due to
this change.

This gives evidence on whether the upgrade will break dependent packages.
Note sometimes packages show up as failed to build independent of the
change, simply because they are already broken on the target branch.

Result of nixpkgs-review 1

2 packages marked as broken and skipped:
- flashtool
- inav
2 packages failed to build:
- glasgow (python38Packages.glasgow)
- python37Packages.glasgow
65 packages built:
- arachne-pnr
- audacious
- audaciousQt5
- avrdude
- avrdudess
- blackmagic
- bmon
- cadence
- collectd
- collectd-data
- dispad
- dvdstyler
- fbida
- fgallery
- flashrom
- fwup
- geeqie
- genimage
- gjay
- i3status
- icestorm
- inadyn
- ino
- kodi (xbmc)
- kodi-gbm
- kodi-wayland
- kodiGBM
- kodiPlain (xbmcPlain)
- kodiPlainWayland
- kodiPlugins.inputstream-adaptive
- kodiPlugins.joystick
- kodiPlugins.kodi-platform
- kodiPlugins.pvr-hdhomerun
- kodiPlugins.pvr-hts
- kodiPlugins.pvr-iptvsimple
- kodiPlugins.steam-controller
- kodiPlugins.vfs-libarchive
- kodiPlugins.vfs-sftp
- libconfuse
- libftdi1
- libite
- libsigrok
- libsigrok-0-3-0
- libsigrokdecode
- lirc (python38Packages.lirc)
- nextpnr
- openocd
- opentx
- paprefs
- pommed_light
- pulseaudio-modules-bt
- pulseaudioFull
- pulseview
- python27Packages.pylibftdi
- python37Packages.lirc
- python37Packages.pylibftdi
- python38Packages.pylibftdi
- qlcplus
- rosegarden
- scanbd
- sigrok-cli
- tilda
- tinygo
- xbursttools
- xineUI

Maintainer pings
@r-ryantm r-ryantm closed this Jul 1, 2020
@r-ryantm r-ryantm deleted the r-ryantm:auto-update/libconfuse branch Jul 1, 2020
@ryantm ryantm restored the r-ryantm:auto-update/libconfuse branch Jul 1, 2020
@ryantm ryantm reopened this Jul 1, 2020
Copy link
Contributor

9999years left a comment

LGTM.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.